#!/bin/bash

set -e

echo
echo "Running pycodestyle"
pycodestyle python/mwmatching python/run_matching.py tests

echo
echo "Running mypy"
mypy --disallow-incomplete-defs python tests

echo
echo "Running pylint"
pylint --ignore=test_algorithm.py python tests/*.py tests/generate/*.py || [ $(($? & 3)) -eq 0 ]

echo
echo "Running unit tests"
python3 -m unittest discover -t python -s python/tests

echo
echo "Checking test coverage"
coverage erase
coverage run --branch -m unittest discover -t python -s python/tests
coverage report -m

